Subject: [bug#41767] [PATCH 0/9] Authenticate channels

From: zimoun <[email-masked]>
Date: Sat, 13 Jun 2020 13:42:05 +0200

Hi Ludo,

Thank you for explaining.  All is clear. :-)

>> git clone https://git.savannah.gnu.org/git/guix.git
>> git worktree add -b foo wk/foo
>> cd wk/foo
>> # add my unready stuff
>> ./pre-inst-env guix pull --branch=foo --url=$PWS -p /tmp/foo
>> /tmp/foo/bin/guix install unready-stuff
>>
>> In this case, do I have to use the option '--disable-authentication'?
>
> Yes, you can always use it.

"Qui peut le plus peut le moins." ;-)

The question is: is it mandatory?

> Note that this patch set changes nothing for third-party channels.
> (Attentive readers will find out how to make an authenticated channel,
> but it’s undocumented and inconvenient to use.)
>
> In the future, I think ‘guix pull’ will merely print a warning when
> using an unauthenticated channel.  That’s something we’ll have to
> discuss.
>
> If you want to fork an “authenticated channel”, you don’t have to keep
> it authenticated.  In essence, something who writes:
>
>   (channel (name 'zimoun) (url "https://zimoun.example.org"))
>
> states that they want to fetch code from your channel, but that no
> authentication will take place because there’s no ‘introduction’ field.

The root of my question is answered. :-)

And I do not know if I am an attentive reader but my concerns were about
this future discussion.  So let discuss that in the future. ;-)

Thank you for this nice piece of work!

All the best,
simon

ps:
Sorry for the delay, I changed how I process emails and this message
"disappeared".  And I am not sure this answer will be correctly
delivered.  Sorry in advance if I mess something.